package com.huashe.park.domain.entity;


import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.locationtech.jts.geom.Polygon;

/**
 * 围栏基础信息对象 bd_fence_info
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public class BdFenceInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;

    /**
     * 围栏名称
     */
    @Excel(name = "围栏名称")
    private String defenceName;

    /**
     * 围栏图形坐标
     */
    private String poly;

    /**
     * 中心点
     */
    @Excel(name = "中心点")
    private Double centerLng;

    /**
     * 中心点
     */
    @Excel(name = "中心点")
    private Double centerLat;

    private Polygon polygon;

    private String fenceType;

    private String locationId;

    private Integer altitude;


    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public Integer getAltitude() {
        return altitude;
    }

    public void setAltitude(Integer altitude) {
        this.altitude = altitude;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDefenceName(String defenceName) {
        this.defenceName = defenceName;
    }

    public String getDefenceName() {
        return defenceName;
    }

    public void setPoly(String poly) {
        this.poly = poly;
    }

    public String getPoly() {
        return poly;
    }

    public void setCenterLng(Double centerLng) {
        this.centerLng = centerLng;
    }

    public Double getCenterLng() {
        return centerLng;
    }

    public void setCenterLat(Double centerLat) {
        this.centerLat = centerLat;
    }

    public Double getCenterLat() {
        return centerLat;
    }

    public Polygon getPolygon() {
        return polygon;
    }

    public void setPolygon(Polygon polygon) {
        this.polygon = polygon;
    }

    public String getFenceType() {
        return fenceType;
    }

    public void setFenceType(String fenceType) {
        this.fenceType = fenceType;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("defenceName", getDefenceName())
                .append("poly", getPoly())
                .append("centerLng", getCenterLng())
                .append("centerLat", getCenterLat())
                .append("updateTime", getUpdateTime())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}
